import isFunction from "./isFunction.js";
const VALID_NAMES = ["File", "Blob"];
/**
 * Check if given object is File.
 *
 * Note that this function will return "false" for Blob, because the Encoder expects FormData to return File when a value is binary data.
 *
 * @param value an object to test
 */
const isFile = (value) => Boolean(value
    && typeof value === "object"
    && isFunction(value.constructor)
    && VALID_NAMES.includes(value[Symbol.toStringTag])
    && isFunction(value.stream)
    && value.name != null
    && value.size != null
    && value.lastModified != null);
export default isFile;
